<!DOCTYPE html>
<html lang="en">
<head>
    <title>Components</title>
</head>

<body>
<div id="content_wrapper">
    <div class="container">
        <div class="row">
            <main class="col-sm-9">

                <section>
                    <h2>Component List</h2>

                    <table class="components-list">
                        <thead>
                        <tr>
                            <th>Component</th>
                            <th>Description</th>
                            <th>Resources</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td class="name"><a href="/with/index.php?component=Asset">Asset</a></td>
                            <td>Manages URL generation and versioning of web assets such as CSS
                                stylesheets, JavaScript files and image files.</td>
                            <td>
                                <div class="nowrap">
                                    <a class="m-r-15" href="https://github.com/symfony/asset">Code</a>

                                    <a href="/doc/current/components/asset.html">Docs</a>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="name"><a href="/with/index.php?component=BrowserKit">BrowserKit</a></td>
                            <td>Simulates the behavior of a web browser.</td>
                            <td>
                                <div class="nowrap">
                                    <a class="m-r-15" href="https://github.com/symfony/browser-kit">Code</a>

                                    <a href="/doc/current/components/browser_kit.html">Docs</a>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="name"><a href="/with/index.php?component=Cache">Cache</a></td>
                            <td>Implements PSR-6 and PSR-16 caching mechanisms and provides adapters for
                                popular caching backends (Redis, Memcache, APCu, etc.)</td>
                            <td>
                                <div class="nowrap">
                                    <a class="m-r-15" href="https://github.com/symfony/cache">Code</a>

                                    <a href="/doc/current/components/cache.html">Docs</a>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="name"><a href="/with/index.php?component=ClassLoader">ClassLoader</a></td>
                            <td>Loads your project classes automatically if they follow some standard
                                PHP conventions.</td>
                            <td>
                                <div class="nowrap">
                                    <a class="m-r-15" href="https://github.com/symfony/class-loader">Code</a>

                                    <a href="/doc/current/components/class_loader.html">Docs</a>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="name"><a href="/with/index.php?component=Config">Config</a></td>
                            <td>Helps you find, load, combine, autofill and validate configuration values.</td>
                            <td>
                                <div class="nowrap">
                                    <a class="m-r-15" href="https://github.com/symfony/config">Code</a>

                                    <a href="/doc/current/components/config.html">Docs</a>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="name"><a href="/with/index.php?component=Console">Console</a></td>
                            <td>Eases the creation of beautiful and testable command line interfaces.</td>
                            <td>
                                <div class="nowrap">
                                    <a class="m-r-15" href="https://github.com/symfony/console">Code</a>

                                    <a href="/doc/current/components/console.html">Docs</a>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="name"><a href="/with/index.php?component=Contracts">Contracts</a></td>
                            <td>A set of abstractions extracted out of the Symfony components.</td>
                            <td>
                                <div class="nowrap">
                                    <a class="m-r-15" href="https://github.com/symfony/contracts">Code</a>

                                    <a href="/doc/current/components/index.html">Docs</a>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="name"><a href="/with/index.php?component=CssSelector">CssSelector</a></td>
                            <td>Converts CSS selectors to XPath expressions.</td>
                            <td>
                                <div class="nowrap">
                                    <a class="m-r-15" href="https://github.com/symfony/css-selector">Code</a>

                                    <a href="/doc/current/components/css_selector.html">Docs</a>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="name"><a href="/with/index.php?component=Debug">Debug</a></td>
                            <td>Provides tools to ease debugging PHP code.</td>
                            <td>
                                <div class="nowrap">
                                    <a class="m-r-15" href="https://github.com/symfony/debug">Code</a>

                                    <a href="/doc/current/components/debug.html">Docs</a>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>

                </section>
            </main>
        </div>
    </div>

</div>
</body>
</html>
